VERSION 5.00
Object = "{6D5B4E63-625F-11D2-B3AE-00A0C932C7DF}#1.5#0"; "REG.OCX"
Begin VB.Form Form1 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Registry OCX Demo"
   ClientHeight    =   5505
   ClientLeft      =   1035
   ClientTop       =   1470
   ClientWidth     =   6690
   Icon            =   "reg_vb5demo.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5505
   ScaleWidth      =   6690
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox txtPath 
      Height          =   375
      Left            =   1080
      Locked          =   -1  'True
      TabIndex        =   14
      Text            =   "Text1"
      Top             =   720
      Width           =   3735
   End
   Begin VB.CommandButton cmdExitKey 
      Caption         =   "Exit Key"
      Height          =   375
      Left            =   240
      TabIndex        =   13
      Top             =   3720
      Width           =   1215
   End
   Begin VB.TextBox txtData 
      Height          =   855
      Left            =   240
      TabIndex        =   9
      Top             =   4440
      Width           =   6135
   End
   Begin VB.ListBox lstValue 
      Height          =   1815
      Left            =   3360
      TabIndex        =   6
      Top             =   1560
      Width           =   3012
   End
   Begin VB.ListBox lstSubKey 
      Height          =   1815
      Left            =   240
      Sorted          =   -1  'True
      TabIndex        =   5
      Top             =   1560
      Width           =   2892
   End
   Begin VB.ComboBox comRoot 
      Height          =   315
      Left            =   1080
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   120
      Width           =   3735
   End
   Begin Registry.Reg Registry 
      Left            =   5400
      Top             =   120
      RootKey         =   2
      Path            =   ""
      ValueName       =   ""
      ExtendWidth     =   572
      ExtendHeight    =   572
   End
   Begin VB.Label Label8 
      Caption         =   "Value Data:"
      Height          =   255
      Left            =   240
      TabIndex        =   12
      Top             =   4200
      Width           =   975
   End
   Begin VB.Label Label7 
      Caption         =   "Value Type:"
      Height          =   255
      Left            =   3360
      TabIndex        =   11
      Top             =   3780
      Width           =   975
   End
   Begin VB.Label txtType 
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   4440
      TabIndex        =   10
      Top             =   3720
      Width           =   1935
   End
   Begin VB.Label Label5 
      Caption         =   "Values:"
      Height          =   255
      Left            =   3360
      TabIndex        =   8
      Top             =   1200
      Width           =   705
   End
   Begin VB.Label Label4 
      Caption         =   "Subkeys:"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   1200
      Width           =   705
   End
   Begin VB.Label Label1 
      Caption         =   "Root Key:"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   150
      Width           =   705
   End
   Begin VB.Label Label3 
      Caption         =   "hKey:"
      Height          =   255
      Left            =   4920
      TabIndex        =   2
      Top             =   790
      Width           =   480
   End
   Begin VB.Label txthKey 
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   5400
      TabIndex        =   1
      Top             =   720
      Width           =   975
   End
   Begin VB.Label Label2 
      Caption         =   "KeyPath:"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   795
      Width           =   705
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Sub UpdateAll()
  txtPath = Registry.Path
  txthKey = Hex(Registry.hKey)
  
  lstSubKey.Clear
  If Registry.FirstSubkey Then
    lstSubKey.AddItem Registry.KeyName
    While Registry.NextKey
      lstSubKey.AddItem Registry.KeyName
      DoEvents
    Wend
    Registry.ExitKey
  End If
  
  lstValue.Clear
  If Registry.FirstValue Then
    If Registry.ValueName = "" Then
      lstValue.AddItem "{default}"
    Else
      lstValue.AddItem Registry.ValueName
    End If
    While Registry.NextValue
      lstValue.AddItem Registry.ValueName
      DoEvents
    Wend
  End If
End Sub


Private Sub cmdExitKey_Click()
  Registry.ExitKey
  UpdateAll
End Sub


Private Sub comRoot_Click()
  Registry.RootKey = comRoot.ListIndex
  Registry.Path = ""
  UpdateAll
End Sub


Private Sub Form_Load()
    comRoot.AddItem "HKEY_CLASSES_ROOT"
    comRoot.AddItem "HKEY_CURRENT_USER"
    comRoot.AddItem "HKEY_LOCAL_MACHINE"
    comRoot.AddItem "HKEY_USERS"
    comRoot.AddItem "HKEY_PERFORMANCE_DATA"
    comRoot.AddItem "HKEY_CURRENT_CONFIG"
    comRoot.AddItem "HKEY_DYN_DATA"
    comRoot.ListIndex = 2
End Sub


Private Sub lstSubKey_DblClick()
  Registry.EnterKey lstSubKey
  UpdateAll
End Sub



Private Sub lstValue_Click()
  If lstValue = "{default}" Then
    Registry.ValueName = ""
  Else
    Registry.ValueName = lstValue
  End If
  txtData = ""
  Select Case Registry.ValueType
    Case 0
      txtType = "String"
      txtData = Registry.ValueData
    Case 1
      txtType = "Binary"
      Dim str As String
      str = Registry.ValueData
      For I = 1 To Len(str)
        D = Hex(Asc(Mid$(str, I, 1)))
        If Len(D) = 1 Then D = "0" & D
        If I <> 0 And I Mod 16 = 0 Then
          txtData = txtData & Chr(13) & Chr(10)
        End If
        txtData = txtData & D & " "
      Next
    Case 2
      txtType = "DWord"
      txtData = Hex(Registry.ValueData)
  End Select
End Sub


Private Sub txtPath_Change()

End Sub


